# EasyInput - Par Dark Storm (L. GATIN)
## Présentation

EasyInput est une librairie de fonctions destinée à simplifier les méthodes de saisie de texte par un utilisateur.

Elle est utilisable gratuitement, vous pouvez la télécharger sur [Planète Casio](http://www.planet-casio.com/Fr/logiciels/voir_un_logiciel_casio.php?logiciel=SDK_G85_-_EasyInput_Snippets&showid=117).

## Utilisation
### Fichiers

Quoi qu'il arrive, vous avez besoin des fichiers `EasyInput.c` et `EasyInput.h`.

Selon votre compilateur, il vous faut chosir le bon fichier de syscalls :
 - Pour le Fx9860 SDK : gardez le fichier `EasyInput_.src` ;
 - Pour GCC : gardez le fichier `EasyInput_.s`.

### Initialisation

Utilisez `EI_init()` pour mettre toutes les valeurs de configuration par défaut.

Ensuite, vous pouvez modifier les paramètres suivants en appelant la fonction EI_manage_config(int parameter, int value) :
- `EI_SET_COLUMN` : Un nombre entre 1 et 21 qui correspond à la colonne de début de la zone de texte ;
- `EI_SET_ROW` : Idem, mais entre 1 et 8 pour les lignes ;
- `EI_SET_BOX_LENGTH` : La longueur de la zone de texte, en caractères, une valeur minimale de 3 est requise pour un bon fonctionnement ;
- `EI_SET_ALIGN` : Le mode d'alignement du texte (`EI_LEFT`, `EI_CENTER`, `EI_RIGHT`) ;
- `EI_SET_START_MODE` : Le mode de départ du curseur (`EI_NORMAL`, `EI_ALPHA`, `EI_ALPHA_LOCKED`) ;
- `EI_SET_Aa_KEY` : Le code de la touche qui servira à changer la casse.

Exemple, pour fixer le mode de départ du curseur :

	EI_manage_config(EI_SET_START_MODE, EI_ALPHA);

Si <value> est égale à 0, la fonction retourne un pointeur sur l'élément demandé. Cela permet de récupérer les valeurs de configuration.

Exemple, récupérer la valeur de la longueur de la box :

	longueur = EI_manage_config(EI_SET_LENGHT_BOX, 0);

### Appel

La fonction `EI_input_string(int string_length, const char *chars_allowed)` retourne un pointeur sur la chaine et doit être appellée de la manière suivante :

	char *my_string = NULL;
	my_string = EI_input_string(21, (const char*)".0123456789");

La chaine `chars_allowed` contient tout les caractères dont la saisie est autorisée.

## Annexes

Retrouvez plus d'informations [sur ce topic](http://www.planet-casio.com/Fr/forums/lecture_sujet.php?id=12979).
